=== debian/control ===
Source: kweather
Section: utils
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 5.240.0~),
               kirigami-addons-dev (>= 0.11~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6notifications-dev (>= 5.240.0~),
               libkirigami-dev (>= 5.240.0~),
               libkweathercore-dev (>= 0.8.0~),
               libqt6opengl6-dev (>= 6.5.0~),
               qml6-module-org-kde-kholidays,
               qml6-module-qtcharts,
               qt6-base-dev (>= 6.5.0~),
               qt6-charts-dev (>= 6.5.0~),
               qt6-declarative-dev (>= 6.5.0~),
               qt6-svg-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/utilities/kweather
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kweather
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kweather.git

Package: kweather
Architecture: any
Depends: ${qml6:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Description: Weather application for Plasma
 A convergent weather application for Plasma. Has flat and
 dynamic/animated views for showing dailiy or hourly forecasts and other
 information.
