=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	 dh_auto_configure -- -DBUILD_PLASMOID=OFF

execute_after_dh_auto_install:
	pkgkde-getqmldepends --qt 6 -- -qmlFiles src/qml/* src/qml/backgrounds/* src/qml/components/* src/qml/locationslist/* src/qml/settings/*
