## kweather 24.12.0

=== debian/changelog ===
kweather (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Dec 2024 21:54:24 +0100

kweather (24.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release
  * Temporarily add qt6-declarative-private-dev to workaround #1087385
    (Closes: #1087873).
  * qml6-module-qtcharts is now installed via the dev package.
  * Use dh_qmldeps instead of hand crafted pkgkde-getqmldepends.

 -- Sandro Knauß <hefee@debian.org>  Thu, 28 Nov 2024 21:45:20 +0100

kweather (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:24:35 +0000
