## kweather 24.12.1

=== debian/changelog ===
kweather (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:12:31 +0000

kweather (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:21:47 +0000

kweather (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:15:00 +0000

kweather (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)
  * New build depend on libkf6crash-dev

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 09:15:53 +0000

kweather (24.08.3-0ubuntu3) plucky; urgency=medium

  * Update qml module depends from source code.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Nov 2024 08:36:35 +0000

kweather (24.08.3-0ubuntu2) plucky; urgency=medium

  * For now build without using pkgkde-getqmldepends to fix build. Can
    be re-enabled when fixed in Debian packaging.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2024 09:53:48 +0000

kweather (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:46:59 +0000
