=== debian/changelog ===
kweather (25.04.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix upstream source URL stanza in debian/copyright.
  * New upstream release (25.04.3).
    - FlatLocationForecast: Don't hardcode height of hourly strip.
    (kde#505547)

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 27 Jul 2025 13:08:42 +0200
