## kweather 25.07.80

=== debian/changelog ===
kweather (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:23:15 +0100

kweather (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:53:48 +0100

kweather (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:58:10 +0100

kweather (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:16:01 +0100

kweather (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Runtime depend on qml6-module-org-kde-weathercore.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:00:36 +0100
