## kweather 25.08.1+p24.04+vstable+git20251001.0650

=== debian/changelog ===
kweather (25.08.1+p24.04+vstable+git20251001.0650-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 06:50:40 +0000
