=== src/CMakeLists.txt ===
--- 
+++ 
@@ -99,6 +99,9 @@
     VERSION 1.0
     QML_FILES
     "qml/components/ListDelegate.qml"
+    "qml/components/PageContainer.qml"
+    "qml/components/PageHeader.qml"
+    "qml/components/PageStack.qml"
     STATIC
 )
 
@@ -122,7 +125,6 @@
     "qml/settings/SettingsPage.qml"
     "qml/settings/SettingsComponent.qml"
     "qml/settings/SettingsDialog.qml"
-    "qml/settings/SettingsWindow.qml"
     "qml/settings/TemperatureUnitComboBox.qml"
     "qml/settings/SpeedUnitComboBox.qml"
     "qml/settings/PressureUnitComboBox.qml"
