## kweather 25.08.2+p24.04+vstable+git20251011.1301

=== debian/changelog ===
kweather (25.08.2+p24.04+vstable+git20251011.1301-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 11 Oct 2025 13:01:32 +0000

kweather (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:25:20 +0000
