## kweather 25.08.2+p24.04+vstable+git20251021.0306

=== debian/changelog ===
kweather (25.08.2+p24.04+vstable+git20251021.0306-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:06:55 +0000
