## kweather 25.08.3+p24.04+vunstable+git20251202.1013

=== debian/changelog ===
kweather (25.08.3+p24.04+vunstable+git20251202.1013-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 10:13:30 +0000

kweather (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:33:00 +1000
