=== debian/control ===
Source: kweather
Section: utils
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-knotifications-dev,
               kf6-kquickcharts-dev,
               kf6-kwindowsystem-dev,
               libkf6kweathercore-dev,
               libplasma-dev,
               pkg-kde-tools-neon,
               qml6-module-qtcharts,
               qt6-base-dev,
               qt6-charts-dev,
               qt6-declarative-dev,
               qt6-svg-dev,
               reuse
Standards-Version: 4.6.2
Vcs-Git: https://invent.kde.org/neon/neon-packaging/kweather.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/kweather
Maintainer: Neon CI <neon@kde.org>

Package: kweather
Architecture: any
Depends: libplasma6,
         qml6-module-org-kde-kholidays,
         qml6-module-org-kde-kirigami2,
         qml6-module-org-kde-kirigamiaddons,
         qml6-module-qtcharts,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-shapes,
         qt6-charts,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Weather application for Plasma Mobile.
 A convergent weather application for Plasma. Has flat and
 dynamic/animated views for showing forecasts and other information.
