## kweather 25.12.0+p24.04+vstable+git20260103.0604

=== debian/changelog ===
kweather (25.12.0+p24.04+vstable+git20260103.0604-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 06:04:06 +0000
